ISample (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, interface: ISample

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Interface ISample

All Superinterfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`

All Known Implementing Classes:
  `Sample`

public interface ISample extends ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttachment(String filePath, String title, String description, byte[] content)`
  Add a new attachment to this sample.
  `void`
  `setContainer(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable container)`
  Set the container for this sample.
  `void`
  `setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Set the experiment for this sample.
  `void`
  `setParentSampleIdentifiers(List<String> parentSampleIdentifiers)`
  Set the parent samples of this sample.
  `void`
  `setProject(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)`
  Set the project for this sample.
  `void`
  `setPropertyValue(String propertyCode, String propertyValue)`
  Set the value for a property.
  `void`
  `setSampleType(String type)`
  Set the type for this sample.

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent

  `getEntityId`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable

  `canGetContainedSamples, getCode, getContainedSamples, getExperiment, getParentSampleIdentifiers, getPermId, getProject, getPropertyValue, getSampleIdentifier, getSampleType, getSpace, isExistingSample`

- ## Method Details

  - ### setExperiment

    void setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Set the experiment for this sample. The experiment need not be immutable, but the immutable one is the superclass.

  - ### setProject

    void setProject(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IProjectImmutable project)
    Set the project for this sample. The project need not be immutable, but the immutable one is the superclass.

  - ### setSampleType

    void setSampleType(String type)
    Set the type for this sample.

  - ### setContainer

    void setContainer(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable container)
    Set the container for this sample.

  - ### setPropertyValue

    void setPropertyValue(String propertyCode, String propertyValue)
    Set the value for a property.

  - ### setParentSampleIdentifiers

    void setParentSampleIdentifiers(List<String> parentSampleIdentifiers)
    Set the parent samples of this sample.

  - ### addAttachment

    void addAttachment(String filePath, String title, String description, byte[] content)
    Add a new attachment to this sample.
    Parameters:
      `filePath` - The path of the attachment as reported to the database.
      `title` - The title of the attachment.
      `description` - A description of the attachment.
      `content` - The actual content of the attachment.